<template>
  <v-app>
    <v-toolbar app dark color="primary">
      <v-toolbar-title class="headline text-uppercase">
        <span>New cars</span>
      </v-toolbar-title>

      <v-spacer></v-spacer>

      <v-toolbar-items>
        <v-btn
          flat
          v-for="route in routes"
          :key="route.to"
          :to="route.to">
          {{route.name}}
        </v-btn>        

        <v-btn
          flat
          @click="logOut()">
          Cerrar Sesion
        </v-btn>
      </v-toolbar-items>
    </v-toolbar>

    <v-content>
      <router-view/>
    </v-content>

    <v-footer class="pa-3">
      <v-spacer></v-spacer>
      <div>MaterialByte {{ new Date().getFullYear() }}</div>
    </v-footer>
  </v-app>
</template>

<script>
  import router from '../../router';

  export default {
    data: () => ({
      routes: [
        { to: '/', name: 'Ventas' },
        { to: '/user', name: 'Usuarios' },
        { to: '/service', name: 'Servicios' }
      ],
    }),

    methods: {
      hideModules (roleRequired) {
        let session = this.$ls.get('session');
        for (let role of session.roles) {
          if (role.name === roleRequired)
            return true;
        }
        return false;
      },

      logOut () {
        // this.$ls.remove('session');
        // router.push({name: 'login'});
      }
    }
  }
</script>

<style scoped>
  .cash-audit-item {
    text-decoration: none;
  }
</style>